Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.LEAVEREASON

    java.lang.Object
      java.lang.Enum<Message.LEAVEREASON>
          com.skype.api.Message.LEAVEREASON

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.LEAVEREASON>

Enclosing class:
  Message

    public static enum Message.LEAVEREASON

extends java.lang.Enum<Message.LEAVEREASON>

Indicates the reason a user could not join or left a Conversation. SkypeKit automatically sets "could not join"-related values. "Left voluntarily"-related values are set as a result of explicit user actions.

Enum Constant Summary
`ADDER_MUST_BE_AUTHORIZED` Attempt to add local user to a conversation by an unauthorized contact
`ADDER_MUST_BE_FRIEND` Attempt to add local user to a conversation by an unknown contact
`DECLINE_ADD` Local user declined an "invitation" to join a chat
`UNSUBSCRIBE` User decided to end participation in an on-going multi-chat
`USER_INCAPABLE` User cannot chat (user is currently logged in with a client that has chat disabled - see Contact.CAPABILITY.CAPABILITY_TEXT)

Method Summary
`static Message.LEAVEREASON` | `fromString(java.lang.String s)`
`static Message.LEAVEREASON` | `get(int code)`
`int` | `getId()`
`static Message.LEAVEREASON` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.LEAVEREASON[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER_INCAPABLE

    public static final Message.LEAVEREASON USER_INCAPABLE

  User cannot chat (user is currently logged in with a client that has chat disabled - see Contact.CAPABILITY.CAPABILITY_TEXT)

### ADDER_MUST_BE_FRIEND

    public static final Message.LEAVEREASON ADDER_MUST_BE_FRIEND

  Attempt to add local user to a conversation by an unknown contact

### ADDER_MUST_BE_AUTHORIZED

    public static final Message.LEAVEREASON ADDER_MUST_BE_AUTHORIZED

  Attempt to add local user to a conversation by an unauthorized contact

### DECLINE_ADD

    public static final Message.LEAVEREASON DECLINE_ADD

  Local user declined an "invitation" to join a chat

### UNSUBSCRIBE

    public static final Message.LEAVEREASON UNSUBSCRIBE

  User decided to end participation in an on-going multi-chat

Method Detail

### values

    public static Message.LEAVEREASON[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.LEAVEREASON c : Message.LEAVEREASON.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.LEAVEREASON valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Message.LEAVEREASON get(int code)

### fromString

    public static Message.LEAVEREASON fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.